API ReferenceapiaffiliatesGET /v1/payouts/{id}

GET /v1/payouts/\{id\}

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Payout details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "affiliate_id": {
      "type": "string"
    },
    "amount_cents": {
      "type": "string"
    },
    "commission_count": {
      "type": "integer"
    },
    "period_start": {
      "type": "string"
    },
    "period_end": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "affiliate_id",
    "amount_cents",
    "commission_count",
    "period_start",
    "period_end",
    "status",
    "created_at"
  ]
}

404 Payout not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/payouts/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"